## solaar 1.1.11+dfsg

=== Makefile ===
UDEV_RULE_FILE = 42-logitech-unify-permissions.rules
UDEV_RULES_SOURCE := rules.d/$(UDEV_RULE_FILE)
UDEV_RULES_SOURCE_UINPUT := rules.d-uinput/$(UDEV_RULE_FILE)
UDEV_RULES_DEST := /etc/udev/rules.d/

.PHONY: install_udev install_udev_uinput uninstall_udev

install_udev:
	@echo "Copying Solaar udev rule to $(UDEV_RULES_DEST)"
	sudo cp $(UDEV_RULES_SOURCE) $(UDEV_RULES_DEST)
	sudo udevadm control --reload-rules

install_udev_uinput:
	@echo "Copying Solaar udev rule (uinput) to $(UDEV_RULES_DEST)"
	sudo cp $(UDEV_RULES_SOURCE_UINPUT) $(UDEV_RULES_DEST)
	sudo udevadm control --reload-rules

uninstall_udev:
	@echo "Removing Solaar udev rules from $(UDEV_RULES_DEST)"
	sudo rm -f $(UDEV_RULES_DEST)/$(UDEV_RULE_FILE)
	sudo udevadm control --reload-rules

## solaar 0.9.2

=== debian/changelog ===
solaar (0.9.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 23 Dec 2015 10:59:13 -0800

solaar (0.9.2-1mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12.0.
  * debian/rules: compress deb packages with xz.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 03 Jan 2014 21:21:18 -0800

solaar (0.9.2-1ppa1) precise; urgency=low

  * Launchpad upload.

 -- Daniel Pavel <daniel.pavel+launchpad@gmail.com>  Wed, 24 Jul 2013 21:07:49 +0200

solaar (0.9.2-1) unstable; urgency=low

  * Release 0.9.2.
  * Closes: #717766.

 -- Daniel Pavel <daniel.pavel+debian@gmail.com>  Wed, 24 Jul 2013 20:59:52 +0200

solaar (0.9.1-1) unstable; urgency=low

  * Release 0.9.1.

 -- Daniel Pavel <daniel.pavel+debian@gmail.com>  Sat, 13 Jul 2013 12:03:09 +0200

solaar (0.9.0-1) unstable; urgency=low

  * Release 0.9.0.
  * Initial Debian release (closes: #715172)

 -- Daniel Pavel <daniel.pavel+debian@gmail.com>  Tue, 09 Jul 2013 14:50:08 +0200

=== debian/control ===
Source: solaar
Section: misc
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Daniel Pavel <daniel.pavel@gmail.com>
Uploaders: Daniel Pavel <daniel.pavel+launchpad@gmail.com>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: python, po-debconf
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.4
Homepage: http://pwr.github.io/Solaar
Vcs-Git: git://github.com/pwr/Solaar.git
Vcs-browser: http://github.com/pwr/Solaar

Package: solaar
Architecture: all
Depends: ${misc:Depends}, ${debconf:Depends}, udev (>= 175), passwd | adduser,
 ${python:Depends}, python-pyudev (>= 0.13), python-gi (>= 3.2),
 gir1.2-gtk-3.0 (>= 3.4), gnome-icon-theme-full | oxygen-icon-theme
Recommends: gir1.2-notify-0.7, consolekit (>= 0.4.3) | systemd (>= 44),
 python-dbus (>= 1.1.0), upower
Suggests: gir1.2-appindicator3-0.1, solaar-gnome3 (= ${source:Version})
Description: Logitech Unifying Receiver peripherals manager for Linux
 Solaar is a Linux device manager for Logitech's Unifying Receiver peripherals.
 It is able to pair/unpair devices to the receiver, and for some devices read
 battery status.

Package: solaar-gnome3
Architecture: all
Section: gnome
Depends: ${misc:Depends}, solaar (= ${source:Version}),
 gir1.2-appindicator3-0.1, gnome-shell (>= 3.4) | unity (>= 5.10),
 gnome-icon-theme-full
Enhances: solaar
Description: gnome-shell/Unity integration for Solaar
 Solaar is a Linux device manager for Logitech's Unifying Receiver peripherals.
 It is able to pair/unpair devices to the receiver, and for some devices read
 battery status.
 .
 This metapackage ensures integration with gnome-shell/Unity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

PREFIX = /usr

%:
	# Adding the required helpers
	dh $@ --with=python2

override_dh_auto_install:
	dh_auto_install -- --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/solaar/lib

override_dh_python2:
	dh_python2 $(PREFIX)/share/solaar/lib

## solaar 0.9.2+dfsg

=== debian/changelog ===
solaar (0.9.2+dfsg-6) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * The icon theme packages are identical in Debian and Ubuntu, remove
    the variant handling.
  * Standards-Version 3.9.7, no change required (but clean up
    debian/control using cme).
  * Update debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Mar 2016 23:10:33 +0100

solaar (0.9.2+dfsg-5) unstable; urgency=medium

  * Update debian/watch to use github directly, githubredir is gone.
  * Add Spanish Debconf translation (Camaleón). Closes: #773461.

 -- Stephen Kitt <skitt@debian.org>  Thu, 30 Apr 2015 20:35:24 +0200

solaar (0.9.2+dfsg-4) unstable; urgency=low

  [ Stephen Kitt ]
  * Add Portuguese translation (closes: #761589).

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #761939
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #764788
  * Italian (Beatrice Torracca).  Closes: #764939
  * Danish (Joe Hansen).  Closes: #764964
  * German (Chris Leick).  Closes: #765927
  * Dutch; (Frans Spiesschaert).  Closes: #766057
  * Portuguese (Paulo Tomé).  Closes: #766589
  * Czech (Michal Simunek).  Closes: #766592
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #766602
  * French (Jean-Pierre Giraud).  Closes: #766722

 -- Stephen Kitt <skitt@debian.org>  Wed, 29 Oct 2014 20:37:13 +0100

solaar (0.9.2+dfsg-3) unstable; urgency=medium

  * According to the included meta-data, the SVG files are licensed
    under CC-BY-SA-3.0, not LGPL-2.1+; thanks Thorsten Alteholz for
    pointing this out.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Sep 2014 00:17:44 +0200

solaar (0.9.2+dfsg-2) unstable; urgency=medium

  * Correct the ITP bug number.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Aug 2014 00:12:53 +0200

solaar (0.9.2+dfsg-1) unstable; urgency=low

  * Initial release (closes: #717766).

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Jun 2014 22:49:16 +0200

=== debian/control ===
Source: solaar
Maintainer: Stephen Kitt <skitt@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python,
                     po-debconf
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/solaar.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/solaar.git
Homepage: http://pwr.github.io/Solaar
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: solaar
Architecture: all
Depends: ${misc:Depends},
         ${debconf:Depends},
         udev (>= 175),
         passwd | adduser,
         ${python:Depends},
         python-pyudev,
         python-gi,
         gir1.2-gtk-3.0,
         gnome-icon-theme | oxygen-icon-theme
Recommends: gir1.2-notify-0.7,
            consolekit | systemd,
            python-dbus,
            upower
Suggests: gir1.2-appindicator3-0.1,
          solaar-gnome3 (= ${source:Version})
Description: Logitech Unifying Receiver peripherals manager for Linux
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.

Package: solaar-gnome3
Architecture: all
Section: gnome
Depends: ${misc:Depends},
         solaar (= ${source:Version}),
         gir1.2-appindicator3-0.1,
         gnome-shell | unity,
         gnome-icon-theme
Enhances: solaar
Description: GNOME Shell/Unity integration for Solaar
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.
 .
 This metapackage ensures integration with GNOME Shell/Unity.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,19 @@
 PREFIX = /usr
 
 %:
-	# Adding the required helpers
 	dh $@ --with=python2
+
+override_dh_auto_build:
+	./tools/po-compile.sh
+	dh_auto_build
+
+override_dh_auto_clean:
+	./tools/clean.sh
+	debconf-updatepo
+	dh_auto_clean
 
 override_dh_auto_install:
 	dh_auto_install -- --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/solaar/lib
 
 override_dh_python2:
 	dh_python2 $(PREFIX)/share/solaar/lib
-

=== debian/watch ===
version=3

# official GitHub page
# download url:
#   https://github.com/pwr/Solaar/archive/${tag_name}.tar.gz
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
 https://github.com/pwr/Solaar/tags .*/(\d.*)\.tar\.gz

## solaar 0.9.2+git20170921+dfsg

=== debian/changelog ===
solaar (0.9.2+git20170921+dfsg-1) experimental; urgency=medium

  * New upstream snapshot (closes: #819687, #851125).

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Sep 2017 21:47:25 +0200

solaar (0.9.2+dfsg-8) unstable; urgency=medium

  * Add missing build-dependency on dh-python.
  * Switch to debhelper compatibility level 10.
  * Update debian/watch.
  * Standards-Version 4.1.0, no change required.
  * Add AppStream data so that Solaar will be suggested for Unifying
    peripherals.
  * Provide PyDist dependency information.
  * Update Swedish Debconf translation (Jonatan Nyberg; closes: #855382).

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Sep 2017 21:30:47 +0200

solaar (0.9.2+dfsg-7) unstable; urgency=medium

  * Drop dependencies on icon themes (closes: #831051).
  * Add Swedish Debconf translation (Jonatan Nyberg; closes: #822142).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Jul 2016 12:49:58 +0200

## solaar 0.9.2+git20180815

=== debian/changelog ===
solaar (0.9.2+git20180815-0~mx17) mx; urgency=medium

  * Incorporate upstream fixes from the past 2 years.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 15 Aug 2018 14:37:59 -0400

## solaar 1.0.1+dfsg

=== debian/changelog ===
solaar (1.0.1+dfsg-3) unstable; urgency=medium

  * Recommend python3-dbus instead of python-dbus. Really closes:
    #938511.
  * Drop the recommendation on consolekit or systemd; consolekit is long
    gone, and there’s not much point in recommending systemd. elogind
    could probably be used too, patches welcome.

 -- Stephen Kitt <skitt@debian.org>  Sun, 19 Jan 2020 20:48:28 +0100

solaar (1.0.1+dfsg-2) unstable; urgency=medium

  * Switch to Python 3. Closes: #938511.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no change required.
  * Rely on the upstream installation for etc/xdg/autostart.

 -- Stephen Kitt <skitt@debian.org>  Mon, 16 Dec 2019 23:19:35 +0100

solaar (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #819687, #851125, #933691.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Aug 2019 20:58:19 +0200

solaar (0.9.2+dfsg-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org

  [ Stephen Kitt ]
  * Update Swedish Debconf translation (Jonatan Nyberg; closes: #876572).
  * Sort the modaliases in the metainfo file.
  * Upgrade to debhelper compatibility level 11.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Tue, 22 Jan 2019 14:05:29 +0100

=== debian/control ===
Source: solaar
Maintainer: Stephen Kitt <skitt@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dh-python,
                     gir1.2-gtk-3.0,
                     po-debconf,
                     python3,
                     python3-gi,
                     python3-pyudev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/solaar
Vcs-Git: https://salsa.debian.org/debian/solaar.git
Homepage: https://pwr-solaar.github.io/Solaar/
Rules-Requires-Root: no

Package: solaar
Architecture: all
Depends: ${misc:Depends},
         ${debconf:Depends},
         udev,
         passwd | adduser,
         ${python3:Depends}
Recommends: gir1.2-notify-0.7,
            python3-dbus,
            upower
Suggests: gir1.2-appindicator3-0.1,
          solaar-gnome3 (= ${source:Version})
Description: Logitech Unifying Receiver peripherals manager for Linux
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.

Package: solaar-gnome3
Architecture: all
Section: gnome
Depends: ${misc:Depends},
         solaar (= ${source:Version}),
         gir1.2-appindicator3-0.1,
         gnome-shell | unity
Enhances: solaar
Description: GNOME Shell/Unity integration for Solaar
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.
 .
 This metapackage ensures integration with GNOME Shell/Unity.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

PREFIX = /usr

export PYBUILD_INSTALL_ARGS_python3=--install-lib=$(PREFIX)/share/solaar/lib

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	./tools/po-compile.sh
	dh_auto_build

override_dh_auto_clean:
	./tools/clean.sh
	debconf-updatepo
	dh_auto_clean

override_dh_python3:
	dh_python3 $(PREFIX)/share/solaar/lib

## solaar 1.0.2%2Bdfsg

=== debian/changelog ===
solaar (1.0.2+dfsg-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Add gir1.2-appindicator3-0.1 to depends.
  * Move gir1.2-ayatanaappindicator3-0.1 to recommends.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 14 Jul 2020 20:43:20 -0400

solaar (1.0.2+dfsg-2) unstable; urgency=medium

  * Build-depend on python3-setuptools so the requirements are correctly
    interpreted. Closes: #961807.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Jun 2020 08:29:22 +0200

solaar (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release, supporting Ayatana indicators. Closes: #956780.

 -- Stephen Kitt <skitt@debian.org>  Wed, 27 May 2020 21:48:40 +0200

solaar (1.0.1+dfsg-4) unstable; urgency=medium

  * Merge solaar-gnome3 dependencies into the solaar package, there’s not
    much point in distinguishing the two any more.
  * Use the updated udev rules provided by upstream. Closes: #854866.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 15 Mar 2020 20:38:34 +0100

=== debian/control ===
Source: solaar
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dh-python,
                     gir1.2-gtk-3.0,
                     po-debconf,
                     python3,
                     python3-gi,
                     python3-pyudev,
                     python3-setuptools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/solaar
Vcs-Git: https://salsa.debian.org/debian/solaar.git
Homepage: https://pwr-solaar.github.io/Solaar/
Rules-Requires-Root: no

Package: solaar
Architecture: all
Depends: ${misc:Depends},
         ${debconf:Depends},
         udev,
         passwd | adduser,
         ${python3:Depends},
         gir1.2-notify-0.7,
         gir1.2-appindicator3-0.1
Recommends: gir1.2-ayatanaappindicator3-0.1,
            python3-dbus,
            upower
Description: Logitech Unifying Receiver peripherals manager for Linux
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.

Package: solaar-gnome3
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, solaar (= ${source:Version})
Description: GNOME Shell integration for Solaar (transitional package)
 Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
 peripherals. It is able to pair/unpair devices to the receiver, and for
 some devices to read battery status.
 .
 This metapackage ensures integration with GNOME Shell/Unity. It is no
 longer needed and can safely be uninstalled.

## solaar 1.0.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: solaar
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 12)
@@ -25,9 +24,8 @@
          passwd | adduser,
          ${python3:Depends},
          gir1.2-notify-0.7,
-         gir1.2-appindicator3-0.1
-Recommends: gir1.2-ayatanaappindicator3-0.1,
-            python3-dbus,
+         gir1.2-ayatanaappindicator3-0.1,
+Recommends: python3-dbus,
             upower
 Description: Logitech Unifying Receiver peripherals manager for Linux
  Solaar is a Linux device manager for Logitech's Unifying Receiver wireless

## solaar 1.0.3+dfsg

=== debian/changelog ===
solaar (1.0.3+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 10 Sep 2020 09:27:08 -0400

solaar (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release, dropping solaar-cli.
  * Switch to debhelper compatibility level 13.
  * Update patch forwarding information.

 -- Stephen Kitt <skitt@debian.org>  Fri, 28 Aug 2020 21:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: solaar
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
                      gir1.2-gtk-3.0,
                      po-debconf,
@@ -24,8 +25,9 @@
          passwd | adduser,
          ${python3:Depends},
          gir1.2-notify-0.7,
-         gir1.2-ayatanaappindicator3-0.1,
-Recommends: python3-dbus,
+         gir1.2-appindicator3-0.1,     
+Recommends: gir1.2-ayatanaappindicator3-0.1,
+            python3-dbus,
             upower
 Description: Logitech Unifying Receiver peripherals manager for Linux
  Solaar is a Linux device manager for Logitech's Unifying Receiver wireless

## solaar 1.0.4+dfsg

=== debian/changelog ===
solaar (1.0.4+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Add gir1.2-appindicator3-0.1 to depends.
  * Move gir1.2-ayatanaappindicator3-0.1 to recommends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 28 Oct 2020 10:01:25 -0400

solaar (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release, merging translation-pt.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 27 Oct 2020 08:44:23 +0100

solaar (1.0.3+dfsg-3) unstable; urgency=medium

  * Force the replacement of the /etc/xdg/autostart symlink with a file.
    Closes: #969543.

 -- Stephen Kitt <skitt@debian.org>  Sat, 19 Sep 2020 15:16:11 +0200

solaar (1.0.3+dfsg-2) unstable; urgency=medium

  * Use the .desktop file designed for autostart, it hides the window on
    startup. Closes: #969543.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Sep 2020 21:17:27 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
          passwd | adduser,
          ${python3:Depends},
          gir1.2-notify-0.7,
-         gir1.2-appindicator3-0.1,     
+         gir1.2-appindicator3-0.1,
 Recommends: gir1.2-ayatanaappindicator3-0.1,
             python3-dbus,
             upower

## solaar 1.0.6+dfsg

=== debian/changelog ===
solaar (1.0.6+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * Add missing build dependencies.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 Sep 2021 12:06:08 +0200

solaar (1.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Settings are pushed to devices after wake up. LP: #1916321.
  * Remove the udev rules check, assuming that the package is installed
    correctly. Closes: #991777.
  * Add our old metainfo provides to the upstream metainfo.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Sep 2021 16:56:55 +0200

## solaar 1.0.7+dfsg

=== debian/changelog ===
solaar (1.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix systemd detection. Closes: #994487.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Nov 2021 08:19:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,9 @@
 	debconf-updatepo
 	dh_auto_clean
 
+override_dh_installudev:
+	ln -sf ../rules.d/42-logitech-unify-permissions.rules debian/solaar.udev
+	dh_installudev
+
 override_dh_python3:
 	dh_python3 $(PREFIX)/share/solaar/lib

## solaar 1.1.0+dfsg

=== debian/changelog ===
solaar (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Dec 2021 15:27:10 +0100

## solaar 1.1.1+dfsg

=== debian/changelog ===
solaar (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release, merging metainfo.patch.
  * Document the metainfo file’s license in debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Tue, 04 Jan 2022 20:14:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: solaar
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
@@ -9,9 +8,12 @@
                      po-debconf,
                      python3,
                      python3-gi,
+                     python3-psutil,
                      python3-pyudev,
-                     python3-setuptools
-Standards-Version: 4.5.0
+                     python3-setuptools,
+                     python3-yaml,
+                     python3-xlib,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/
@@ -25,9 +27,8 @@
          passwd | adduser,
          ${python3:Depends},
          gir1.2-notify-0.7,
-         gir1.2-appindicator3-0.1,
-Recommends: gir1.2-ayatanaappindicator3-0.1,
-            python3-dbus,
+         gir1.2-ayatanaappindicator3-0.1,
+Recommends: python3-dbus,
             upower
 Description: Logitech Unifying Receiver peripherals manager for Linux
  Solaar is a Linux device manager for Logitech's Unifying Receiver wireless

## solaar 1.1.3+dfsg

=== debian/changelog ===
solaar (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Python dist-overrides and rely on them for all gi.repository
    dependencies.
  * Fix the metainfo XML.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 May 2022 19:16:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                      gir1.2-gtk-3.0,
                      po-debconf,
                      python3,
+                     python3-evdev,
                      python3-gi,
                      python3-psutil,
                      python3-pyudev,
@@ -26,8 +27,6 @@
          udev,
          passwd | adduser,
          ${python3:Depends},
-         gir1.2-notify-0.7,
-         gir1.2-ayatanaappindicator3-0.1,
 Recommends: python3-dbus,
             upower
 Description: Logitech Unifying Receiver peripherals manager for Linux

## solaar 1.1.4+dfsg

=== debian/changelog ===
solaar (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release, merging valid-metainfo.patch.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Jul 2022 15:09:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      python3-setuptools,
                      python3-yaml,
                      python3-xlib,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/

## solaar 1.1.5+dfsg

=== debian/changelog ===
solaar (1.1.5+dfsg-2) unstable; urgency=medium

  * Apply upstream patches to fix conversion errors and remove bad config
    entries. LP: #1992589.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Oct 2022 13:38:30 +0200

solaar (1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move dh-python to Build-Depends so that debian/rules clean will work
    if B-D-I aren’t installed.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Oct 2022 11:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: dh-python,
-                     gir1.2-gtk-3.0,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+Build-Depends-Indep: gir1.2-gtk-3.0,
                      po-debconf,
                      python3,
                      python3-evdev,

## solaar 1.1.7+dfsg

=== debian/changelog ===
solaar (1.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release, merging fix-config-conversion.patch and
    remove-bad-config-entries.patch.

 -- Stephen Kitt <skitt@debian.org>  Sun, 13 Nov 2022 14:55:12 +0100

## solaar 1.1.8+dfsg

=== debian/changelog ===
solaar (1.1.8+dfsg-2) unstable; urgency=medium

  * Restore the plugdev setup which was accidentally removed in
    1.0.1+dfsg-4. Closes: #1028922.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Jan 2023 13:25:03 +0100

solaar (1.1.8+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 20 Dec 2022 19:40:42 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      python3-setuptools,
                      python3-yaml,
                      python3-xlib,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/

## solaar 1.1.9+dfsg

=== debian/changelog ===
solaar (1.1.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the solaar-gnome3 transitional package, it’s no longer useful.
    Closes: #1038293.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jun 2023 17:26:01 +0200

=== debian/control ===
--- 
+++ 
@@ -33,15 +33,3 @@
  Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
  peripherals. It is able to pair/unpair devices to the receiver, and for
  some devices to read battery status.
-
-Package: solaar-gnome3
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, solaar (= ${source:Version})
-Description: GNOME Shell integration for Solaar (transitional package)
- Solaar is a Linux device manager for Logitech's Unifying Receiver wireless
- peripherals. It is able to pair/unpair devices to the receiver, and for
- some devices to read battery status.
- .
- This metapackage ensures integration with GNOME Shell/Unity. It is no
- longer needed and can safely be uninstalled.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	dh_auto_build
 
 override_dh_auto_clean:
-	./tools/clean.sh
 	debconf-updatepo
 	dh_auto_clean

## solaar 1.1.10+dfsg

=== debian/changelog ===
solaar (1.1.10+dfsg-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Jan 2024 12:39:11 +0100

solaar (1.1.10+dfsg-2) unstable; urgency=medium

  * Add missing build-dependency on python3-dbus.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Oct 2023 17:06:16 +0200

solaar (1.1.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Clean .mo files so the package can be built twice in a row.
    Closes: #1045402.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Oct 2023 15:26:08 +0200

## solaar 1.1.11+dfsg

=== debian/changelog ===
solaar (1.1.11+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Feb 2024 08:19:28 +0100

solaar (1.1.11+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Feb 2024 18:22:08 +0100

solaar (1.1.11~rc4+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Feb 2024 15:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends-Indep: gir1.2-gtk-3.0,
                      po-debconf,
                      python3,
+                     python3-dbus,
                      python3-evdev,
                      python3-gi,
                      python3-psutil,

## solaar 1.1.12+dfsg

=== debian/changelog ===
solaar (1.1.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 May 2024 10:13:12 +0200

## solaar 1.1.13+dfsg

=== Makefile ===
UDEV_RULE_FILE = 42-logitech-unify-permissions.rules
UDEV_RULES_SOURCE := rules.d/$(UDEV_RULE_FILE)
UDEV_RULES_SOURCE_UINPUT := rules.d-uinput/$(UDEV_RULE_FILE)
UDEV_RULES_DEST := /etc/udev/rules.d/

PIP_ARGS ?= .

.PHONY: install_ubuntu install_macos
.PHONY: install_apt install_brew install_pip
.PHONY: install_udev install_udev_uinput reload_udev uninstall_udev
.PHONY: format lint test

install_ubuntu: install_apt install_udev_uinput install_pip

install_macos: install_brew install_pip

install_apt:
	@echo "Installing Solaar dependencies via apt"
	sudo apt update
	sudo apt install libdbus-1-dev libglib2.0-dev libgtk-3-dev libgirepository1.0-dev

install_dnf:
	@echo "Installing Solaar dependencies via dn"
	sudo dnf install gtk3 python3-gobject python3-dbus python3-pyudev python3-psutil python3-xlib python3-yaml

install_brew:
	@echo "Installing Solaar dependencies via brew"
	brew update
	brew install hidapi gtk+3 pygobject3 gobject-introspection

install_pip:
	@echo "Installing Solaar via pip"
	python -m pip install --upgrade pip
	pip install $(PIP_ARGS)

install_pipx:
	@echo "Installing Solaar via pipx"
	pipx install --system-site-packages $(PIP_ARGS)

install_udev:
	@echo "Copying Solaar udev rule to $(UDEV_RULES_DEST)"
	sudo cp $(UDEV_RULES_SOURCE) $(UDEV_RULES_DEST)
	make reload_udev

install_udev_uinput:
	@echo "Copying Solaar udev rule (uinput) to $(UDEV_RULES_DEST)"
	sudo cp $(UDEV_RULES_SOURCE_UINPUT) $(UDEV_RULES_DEST)
	make reload_udev

reload_udev:
	@echo "Reloading udev rules"
	sudo udevadm control --reload-rules

uninstall_udev:
	@echo "Removing Solaar udev rules from $(UDEV_RULES_DEST)"
	sudo rm -f $(UDEV_RULES_DEST)/$(UDEV_RULE_FILE)
	make reload_udev

format:
	@echo "Formatting Solaar code"
	ruff format .

lint:
	@echo "Linting Solaar code"
	ruff check . --fix

test:
	@echo "Running Solaar tests"
	pytest --cov=lib/ tests/

=== debian/changelog ===
solaar (1.1.13+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Stephen Kitt <skitt@debian.org>  Sun, 04 Aug 2024 09:10:01 +0200

solaar (1.1.13+dfsg-1) unstable; urgency=medium

  * New upstream release, fixing suspend handling. Closes: #1070791.

 -- Stephen Kitt <skitt@debian.org>  Wed, 15 May 2024 08:14:18 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,13 @@
                      python3-evdev,
                      python3-gi,
                      python3-psutil,
+                     python3-pytest,
+                     python3-pytest-mock,
                      python3-pyudev,
                      python3-setuptools,
                      python3-yaml,
                      python3-xlib,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 override_dh_auto_clean:
 	debconf-updatepo
+	find . -name '*.mo' -delete
 	dh_auto_clean
 
 override_dh_installudev:

## solaar 1.1.14

=== Makefile ===
--- 
+++ 
@@ -66,4 +66,4 @@
 
 test:
 	@echo "Running Solaar tests"
-	pytest --cov=lib/ tests/
+	pytest --cov --cov-report=xml

=== debian/changelog ===
solaar (1.1.14-4) unstable; urgency=medium

  * Add Romanian template translation, thanks Remus-Gabriel Chelu!
    Closes: #1102579.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Apr 2025 12:09:38 +0200

solaar (1.1.14-3) unstable; urgency=medium

  * Add Catalan template translation, thanks Carles Pina i Estany!
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 Apr 2025 14:53:18 +0200

solaar (1.1.14-2) unstable; urgency=medium

  * Apply upstream patch to make typing-extensions mandatory.

 -- Stephen Kitt <skitt@debian.org>  Wed, 29 Jan 2025 13:28:34 +0100

solaar (1.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 Jan 2025 18:04:04 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,11 @@
                      python3-pytest-mock,
                      python3-pyudev,
                      python3-setuptools,
+                     python3-typing-extensions,
                      python3-yaml,
                      python3-xlib,
-Standards-Version: 4.7.0
+                     x11proto-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 
 override_dh_python3:
 	dh_python3 $(PREFIX)/share/solaar/lib
+
+execute_after_dh_auto_test:
+	find . -name .pytest_cache -exec rm -rf {} +

## solaar 1.1.16

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,11 @@
 	@echo "Installing Solaar dependencies via apt"
 	sudo apt update
 	sudo apt install libdbus-1-dev libglib2.0-dev libgtk-3-dev libgirepository1.0-dev
+
+install_apt_python3.13:
+	@echo "Installing Solaar dependencies via apt"
+	sudo apt update
+	sudo apt install libdbus-1-dev libglib2.0-dev libgtk-3-dev libgirepository-2.0-dev gobject-introspection
 
 install_dnf:
 	@echo "Installing Solaar dependencies via dn"

=== debian/changelog ===
solaar (1.1.16-1) unstable; urgency=medium

  * New upstream release, merging typing-extensions.patch and
    uaccess-rules-change.patch.

 -- Stephen Kitt <skitt@debian.org>  Thu, 30 Oct 2025 14:40:59 +0100

solaar (1.1.14-6) unstable; urgency=medium

  * Enable uinput support for Wayland. LP: #2127191.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 Oct 2025 22:12:18 +0200

solaar (1.1.14-5) unstable; urgency=medium

  * Apply udev rules on all actions other than remove. Closes: #1112660.
  * Instead of running debconf-show from udev, store the plugdev group
    setting in a configuration file. Closes: #1113727.
  * Remove the old FSF address from debian/copyright.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Wed, 08 Oct 2025 08:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/
-Rules-Requires-Root: no
 
 Package: solaar
 Architecture: all

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%solaar-$1.tar.gz%,repacksuffix=+dfsg,dversionmangle=s%\+dfsg%%" \
    https://github.com/pwr/Solaar/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## solaar 1.1.17

=== debian/changelog ===
solaar (1.1.17-1) unstable; urgency=medium

  * New upstream release, merging appstream-xml-fix.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 09 Dec 2025 23:03:59 +0100

## solaar 1.1.18

=== debian/changelog ===
solaar (1.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Dec 2025 22:21:03 +0100

## solaar 1.1.19

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 	sudo apt install libdbus-1-dev libglib2.0-dev libgtk-3-dev libgirepository-2.0-dev gobject-introspection
 
 install_dnf:
-	@echo "Installing Solaar dependencies via dn"
-	sudo dnf install gtk3 python3-gobject python3-dbus python3-pyudev python3-psutil python3-xlib python3-yaml
+	@echo "Installing Solaar dependencies via dnf"
+	sudo dnf install gtk3 python3-devel python3-gobject python3-dbus python3-pyudev python3-psutil python3-xlib python3-yaml
 
 install_brew:
 	@echo "Installing Solaar dependencies via brew"

=== debian/changelog ===
solaar (1.1.19-2) unstable; urgency=medium

  * Handle /etc/default/solaar in Policy-compliant fashion:
    - in postinst, only write to it if it doesn’t exist;
    - in config, force a rewrite if the value changes following user input;
    - read it to determine whether to create the plugdev group;
    - remove it on purge in postrm.
    Thanks to Bernd Zeimetz for raising the issue. Closes: #1127312.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 02 Mar 2026 18:24:30 +0100

solaar (1.1.19-1) unstable; urgency=medium

  * New upstream release, fixing the notification flags format string.
    Closes: #1122943.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Jan 2026 19:14:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: solaar
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: misc
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
 Build-Depends-Indep: gir1.2-gtk-3.0,
@@ -19,7 +18,7 @@
                      python3-yaml,
                      python3-xlib,
                      x11proto-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/solaar
 Vcs-Git: https://salsa.debian.org/debian/solaar.git
 Homepage: https://pwr-solaar.github.io/Solaar/
